
ctools - Bug #3317

ctbkgcube aborts if no background model is found

08/08/2020 10:00 AM - Knödlseder Jürgen

Status: New Start date: 08/08/2020

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

While it seems logical that ctbkgmodel aborts if no background model is found, there could be a workflow where there is no

background model, and consequently, the output files should be an empty cube. This is particularly important since tools may later

request a background cube, although it may not be needed.

The logic should be changed so that ctbkgmodel does not abort in the absence of a background model, producing output that can be

digested by subsequent tools, such as ctlike.

History

#1 - 08/09/2020 10:46 AM - Knödlseder Jürgen

- Subject changed from ctbkgmodel aborts if no background model is found to ctbkgcube aborts if no background model is found

This bug concerns ctbkgcube! (ctbkgmodel does not exist)

#2 - 11/03/2020 05:04 PM - Knödlseder Jürgen

- Target version changed from 1.7.1 to 2.0.0

#3 - 06/04/2022 08:58 PM - Knödlseder Jürgen

- Target version deleted (2.0.0)
